SoForeignFileKit(3)

NAME
SoForeignFileKit - Abstract base class for foreign file format support in Coin.

SYNOPSIS

#include <ForeignFiles/SoForeignFileKit.h>

Inherits SoBaseKit.

Inherited by SoSTLFileKit.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual const SoNodekitCatalog * getNodekitCatalog (void) const
virtual SbBool canReadFile (const char *filename=NULL) const
virtual SbBool readFile (const char *filename)
virtual SbBool canWriteFile (const char *filename=NULL) const
virtual SbBool writeFile (const char *filename)
virtual class SoSeparator * convert ()=0

  Static Public Member Functions
static SoType getClassTypeId (void)
static const SoNodekitCatalog * getClassNodekitCatalog (void)
static void initClass (void)
static SbBool isFileSupported (SoInput *in, SbBool exhaust=FALSE)
static SbBool isFileSupported (const char *filename, SbBool exhaust=FALSE)
static SoForeignFileKit * createForeignFileKit (SoInput *in, SbBool exhaust=FALSE)
static SoForeignFileKit * createForeignFileKit (const char *filename, SbBool exhaust=FALSE)

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)
static const SoNodekitCatalog ** getClassNodekitCatalogPtr (void)
static void initClasses (void)
static SbBool registerFileExtension (SoType handler, SbName extension, SoForeignFileIdentifyFunc *identify)

  Protected Attributes
SoSFNode topSeparator

  Additional Inherited Members

Detailed Description

Abstract base class for foreign file format support in Coin. Abstract base class for foreign file format support in Coin.

Be aware that this class is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.
Since
    Coin 3.0

Member Function Documentation

  SoType SoForeignFileKit::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoForeignFileKit::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Reimplemented from SoBaseKit.

Reimplemented in SoSTLFileKit.

  const SoFieldData ** SoForeignFileKit::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoForeignFileKit::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoBaseKit.

Reimplemented in SoSTLFileKit.

  const SoNodekitCatalog * SoForeignFileKit::getClassNodekitCatalog (void) [static]
Returns the nodekit catalog which defines the layout of this class' kit.

  const SoNodekitCatalog * SoForeignFileKit::getNodekitCatalog (void) const [virtual]
Returns the nodekit catalog which defines the layout of this class' kit.

Reimplemented from SoBaseKit.

Reimplemented in SoSTLFileKit.

  const SoNodekitCatalog ** SoForeignFileKit::getClassNodekitCatalogPtr (void) [static], [protected]
Returns the pointer to the pointer of the nodekit catalog for this class.

  void SoForeignFileKit::initClass (void) [static]

  SbBool SoForeignFileKit::isFileSupported (SoInput * in, SbBool exhaust = FALSE) [static]
Convenience method. Will extract the filename from in and call the other ieFileSupported() method.

Will return false if file is not supported or /e in is not representing a normal file.

  SbBool SoForeignFileKit::isFileSupported (const char * filename, SbBool exhaust = FALSE) [static]
Checks if the filename can be read by a registered SoForeignFileKit handler.

FIXME: exhaust is not implemented.

  SoForeignFileKit * SoForeignFileKit::createForeignFileKit (SoInput * in, SbBool exhaust = FALSE) [static]
Convenience method. Will extract the filename from in and call the other ieFileSupported() method.

  SoForeignFileKit * SoForeignFileKit::createForeignFileKit (const char * filename, SbBool exhaust = FALSE) [static]
Creates an instance of a suitable SoForeignFileKit subtype from the given file and reads its content. Returns NULL on failure or a kit with refcount of 0 on success.

FIXME: exhaust is not implemented.

  SbBool SoForeignFileKit::canReadFile (const char * filename = NULL) const [virtual]
Checks if this concrete class can read the given file.

Reimplemented in SoSTLFileKit.

  SbBool SoForeignFileKit::readFile (const char * filename) [virtual]
Reads the given file into the internal representation. If successful, Coin should now be able to render the scene. If you need a pure Coin scene graph, call convert().

Reimplemented in SoSTLFileKit.

  SbBool SoForeignFileKit::canWriteFile (const char * filename = NULL) const [virtual]
Checks if this concrete class can write to the given file.

Reimplemented in SoSTLFileKit.

  SbBool SoForeignFileKit::writeFile (const char * filename) [virtual]
Writes the current contents to the given file.

See also
    canWriteFile

Reimplemented in SoSTLFileKit.

  virtual class SoSeparator * SoForeignFileKit::convert () [pure virtual]
Converts (if necessary) the internal representation of the foreign file to a pure Coin scenegraph. Returns the root node with a refcount of 0.

Implemented in SoSTLFileKit.

  SbBool SoForeignFileKit::registerFileExtension (SoType handler, SbName extension, SoForeignFileIdentifyFunc * identify) [static], [protected]
Registers a concrete SoForeignFileKit subtype to be a handler for files with the given extension. One class can be a handler for multiple filename extensions.

FIXME: identify is not implemented

Author

Generated automatically by Doxygen for Coin from the source code.